Subject: bug#75167: closed (Re: [bug#75167] [PATCH gnome-team 0/6] Update GNOME Builder to 47.2)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Dec 2024 08:31:02 +0000

Your bug report

#75167: [PATCH gnome-team 0/6] Update GNOME Builder to 47.2

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75167: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75167
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75167] [PATCH gnome-team 0/6] Update GNOME Builder to 47.2
From: Liliana Marie Prikler <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 29 Dec 2024 09:31:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Sonntag, dem 29.12.2024 um 13:38 +0900 schrieb Maxim Cournoyer:
> Hello,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Hi folks,
> > 
> > this series updates GNOME Builder to 47.2 (yes, that's 47.2,
> > because I only found out that the issue affecting 46 builds also
> > affects 47 after updating everything else).  This is a WebkitGTK
> > rebuilder courtesy of libdex getting bumped, so build carefully and
> > don't overload your machines with work :)
> 
> Thank you!  I've posted some comments; feel free to adjust
> accordingly and push.
Pushed with according adjustments.

For libpeas, the pkg-config is versioned, causing other dependents to
break if we bump – thus, I'm simply using inherit.

Cheers

Subject: [PATCH gnome-team 0/6] Update GNOME Builder to 47.2
From: Liliana Marie Prikler <[email-masked]>
To: [email-masked]
Date: Sat, 28 Dec 2024 21:37:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi folks,

this series updates GNOME Builder to 47.2 (yes, that's 47.2, because
I only found out that the issue affecting 46 builds also affects 47
after updating everything else).  This is a WebkitGTK rebuilder courtesy
of libdex getting bumped, so build carefully and don't overload your
machines with work :)

Cheers

Liliana Marie Prikler (6):
  gnu: Add libpeas-2.
  gnu: jsonrpc-glib: Update to 3.44.1.
  gnu: libdex: Update to 0.8.1.
  gnu: gom: Update to 0.5.3.
  gnu: Add libspelling.
  gnu: gnome-builder: Update to 47.2.

 gnu/packages/glib.scm  |   4 +-
 gnu/packages/gnome.scm | 122 ++++++++++++++++++++++++++++++++++++-----
 2 files changed, 109 insertions(+), 17 deletions(-)

base-commit: 149e1d071c87df5cd67e81a8d2eceedf9ec58f40
-- 
2.46.0